be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class LocalitemattributeType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.LocalitemattributeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:25:38+02:00",
                 comments="JAXB RI v2.2.11")
      public class LocalitemattributeType
      extends Object
      implements Serializable

  Java class for localitemattributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="localitemattributeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}LOCAL"/>
               <element name="content" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}contentlocalitemattributeType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalitemattributeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LOCAL` | `getCd()` Gets the value of the cd property.
    `ContentlocalitemattributeType` | `getContent()` Gets the value of the content property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `void` | `setCd(LOCAL value)` Sets the value of the cd property.
    `void` | `setContent(ContentlocalitemattributeType value)` Sets the value of the content property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalitemattributeType

          public LocalitemattributeType()

  - ### Method Detail

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getCd

          public LOCAL getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `LOCAL`

    - #### setCd

          public void setCd(LOCAL value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `LOCAL`

    - #### getContent

          public ContentlocalitemattributeType getContent()

      Gets the value of the content property.
      Returns:
        possible object is `ContentlocalitemattributeType`

    - #### setContent

          public void setContent(ContentlocalitemattributeType value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `ContentlocalitemattributeType`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.